Retrieve Evaluation Group

Retrieves detailed information about a specific evaluation group, including its members.

Retrieve Evaluation Group

Retrieves detailed information about a specific evaluation group, including its members.

GET https://api.futureagi.com/model-hub/eval-groups/{id}/
Bearer
id *
name
          Click "Try It" to send a request
        

Authentication

This endpoint requires authentication. Include your API key in the Authorization header:

Authorization: Bearer YOUR_API_KEY

Parameters

Path Parameters

ParameterTypeRequiredDescription
idstringYesThe UUID of the evaluation group to retrieve.

Query Parameters

ParameterTypeRequiredDescription
namestringNoFilter members within the group by name.

Responses

200

Successfully retrieved the evaluation group details.

400

Bad Request. The specified evaluation group does not exist for this user.

401

Unauthorized. Authentication credentials were not provided or are invalid.

404

Not Found. The specified evaluation group does not exist.

500

Internal Server Error. An unexpected error occurred.

Code Examples

cURL

curl -X GET "https://api.futureagi.com/model-hub/eval-groups/{id}/" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Python

import requests

url = "https://api.futureagi.com/model-hub/eval-groups/{id}/"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}

response = requests.get(url, headers=headers)
print(response.json())

JavaScript

const response = await fetch("https://api.futureagi.com/model-hub/eval-groups/{id}/", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
  },
});

const data = await response.json();
console.log(data);
Was this page helpful?

Questions & Discussion